# C++ keyword: `char8_t` (since C++20)

From cppreference.com
< cpp‎ | keyword

### Usage

`char8_t` type: as the declaration of the type

### Notes

Feature-test macro | Value | Std | Feature
--- | --- | --- | ---
`__cpp_char8_t` | `201811L` | (C++20) | char8_t
`202207L` | (C++20) (DR) | char8_t compatibility and portability fix (allow initialization of (`unsigned`) `char` arrays from UTF-8 string literals)

### See also

- Fundamental types: `void` , std::nullptr_t (since C++11).
  - Integral types: `int`. Modifiers: `signed`, `unsigned`, `short`, `long`.
    - Boolean type: `bool`. Boolean literals: `false`, `true`.
    - Character types: `char` , `char8_t`(since C++20), `char16_t`, `char32_t` (since C++11), `wchar_t`.
  - Floating-point types: `float`, `double`.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/char8_t&oldid=175637"